package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;


/**
 * 订单排队统计表
 *
 * @author nianchang
 */
public class LineUpRecordsCount {

    /**
	 * 主键
	 */
	private Long id;

	/**
	 * 商家id
	 */
	private Long sellerId;

	/**
	 * 门店id
	 */
	private Long storeId;

	/**
	 * 排队订单统计
	 */
	private Integer queueOrderCount;

	/**
	 * 结束排队订单统计
	 */
	private Integer dequeueOrderCount;

	/**
	 * 排队商品统计
	 */
	private Integer queueGoodsCount;

	/**
	 * 结束排队商品统计
	 */
	private Integer dequeueGoodsCount;

	/**
	 * 排队时间
	 */
	private Date lineUpAt;

	/**
	 * 版本号
	 */
	private Integer version;

	/**
	 * 创建时间
	 */
	private Date createdAt;

	/**
	 * 更新时间
	 */
	private Date updatedAt;

	/**
	 * 删除标识
	 */
	private Integer isDeleted;

	public Date getLineUpAt() {
		return lineUpAt;
	}

	public void setLineUpAt(Date lineUpAt) {
		this.lineUpAt = lineUpAt;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getSellerId() {
		return sellerId;
	}

	public void setSellerId(Long sellerId) {
		this.sellerId = sellerId;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public Integer getQueueOrderCount() {
		return queueOrderCount;
	}

	public void setQueueOrderCount(Integer queueOrderCount) {
		this.queueOrderCount = queueOrderCount;
	}

	public Integer getDequeueOrderCount() {
		return dequeueOrderCount;
	}

	public void setDequeueOrderCount(Integer dequeueOrderCount) {
		this.dequeueOrderCount = dequeueOrderCount;
	}

	public Integer getQueueGoodsCount() {
		return queueGoodsCount;
	}

	public void setQueueGoodsCount(Integer queueGoodsCount) {
		this.queueGoodsCount = queueGoodsCount;
	}

	public Integer getDequeueGoodsCount() {
		return dequeueGoodsCount;
	}

	public void setDequeueGoodsCount(Integer dequeueGoodsCount) {
		this.dequeueGoodsCount = dequeueGoodsCount;
	}

	public Integer getVersion() {
		return version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(Integer isDeleted) {
		this.isDeleted = isDeleted;
	}
	
    public void init() {
        this.queueOrderCount = 0;
        this.dequeueOrderCount = 0;
        this.queueGoodsCount = 0;
        this.dequeueGoodsCount = 0;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
